package com.gic.haoban.manage.service.pojo.bo.content.binlog;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/11/27 11:18 AM
 * @Description
 * @Version
 **/
public class MemberOrderBo implements Serializable {

    public static final String weimo = "weimob";

    private Integer orderStatus;

    private String memberId;

    private String enterpriseId;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 渠道code
     */
    private String channelCode;

    /**
     * 下单时间
     */
    private Date orderTime;

    /**
     * 表名
     */
    private String tableName;

    /***
     * 消费次数
     */
    private Integer times;


    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }
}
